| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
StiffAssemblingP1OptV1.m File Reference

Assembly of the Stiffness Matrix using -Lagrange finite elements. More...

Go to the source code of this file.

## Functions
function R = | StiffAssemblingP1OptV1 (nq, nme, q, me, areas)
| Assembly of the Stiffness Matrix using -Lagrange finite elements.

## Detailed Description

Assembly of the Stiffness Matrix using -Lagrange finite elements.

- OptV1 version (see report).

Definition in file StiffAssemblingP1OptV1.m.

## Function Documentation

function R = StiffAssemblingP1OptV1 | ( |  | nq,
|  |  | nme,
|  |  | q,
|  |  | me,
|  |  | areas
| ) |  |

Assembly of the Stiffness Matrix using -Lagrange finite elements.

- OptV1 version (see report).

The Stiffness Matrix is given by

where are -Lagrange basis functions.

Example

          Th=SquareMesh(10);
          R=StiffAssemblingP1OptV1(Th.nq,Th.nme,Th.me,Th.q,Th.areas);

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Parameters

  nq | total number of nodes of the mesh, also denoted by .
  nme | total number of triangles, also denoted by .
  q | Array of vertices coordinates, array. is the -th coordinate of the -th vertex, and
  me | Connectivity array, array. is the storage index of the -th vertex of the -th triangle in the array of vertices coordinates, and .
  areas | Array of areas, array. areas(k) is the area of the -th triangle.

Return values

  R | Stiffness Matrix, sparse matrix.

Definition at line 17 of file StiffAssemblingP1OptV1.m.